# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Captcha/reCAPTCHA.pm) perl(Carp.pm) perl(Config.pm) perl(Crypt/CBC.pm) perl(Cwd.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(HTML/FormHandler/I18N.pm) perl(HTML/FormHandler/Moose.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Moose.pm) perl(Moose/Role.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(inc/Module/Install.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_version 0.04
%define module_name HTML-FormHandlerX-Field-reCAPTCHA
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: A Captcha::reCAPTCHA field for HTML::FormHandler
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/J/JJ/JJNAPIORK/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Uses the Captcha::reCAPTCHA manpage to add a "Check if the agent is human" field.  You 
will need an account from http://recaptcha.net/ to make this work.

This is a thin wrapper on top of the Captcha::reCAPTCHA manpage so you should review the
docs for that.  However there's not much too it, just register for an account
over at http://recaptcha.net and use it.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/H*

%changelog
* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- initial import by package builder

